Skip to main content
Get campground by id
curl --request GET \
  --url https://api.campflare.com/v2/campground/:id
import requests

url = "https://api.campflare.com/v2/campground/:id"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.campflare.com/v2/campground/:id', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "status_description": "<string>",
  "short_description": "<string>",
  "medium_description": "<string>",
  "long_description": "<string>",
  "location": {
    "latitude": 123,
    "longitude": 123,
    "elevation": 123,
    "address": {
      "street1": "<string>",
      "street2": "<string>",
      "city": "<string>",
      "zipcode": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "state": "<string>",
      "state_code": "<string>",
      "full": "<string>"
    },
    "directions": "<string>"
  },
  "default_campsite_schedule": {
    "check_in_time": "<string>",
    "check_out_time": "<string>",
    "uniform": true
  },
  "amenities": {
    "toilets": true,
    "trash": true,
    "camp_store": true,
    "dump_station": true,
    "wifi": true,
    "pets_allowed": true,
    "showers": true,
    "fires_allowed": true,
    "water": true,
    "electric_hookups": true,
    "water_hookups": true,
    "sewer_hookups": true
  },
  "max_rv_length": 123,
  "max_trailer_length": 123,
  "has_pull_through_sites": true,
  "big_rig_friendly": true,
  "reservation_url": "<string>",
  "links": [
    {
      "url": "<string>",
      "title": "<string>"
    }
  ],
  "photos": [
    {
      "original_url": "<string>",
      "attribution_needed": true,
      "large_url": "<string>",
      "medium_url": "<string>",
      "small_url": "<string>",
      "attribution": "<string>",
      "name": "<string>"
    }
  ],
  "alerts": [
    {
      "title": "<string>",
      "content": "<string>",
      "source_name": "<string>",
      "source_url": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z"
    }
  ],
  "price": {
    "minimum": 123,
    "maximum": 123,
    "currency_code": "<string>",
    "currency": "<string>"
  },
  "cell_service": {
    "verizon": 0.5,
    "tmobile": 0.5,
    "att": 0.5
  },
  "management": {
    "agency_name": "<string>",
    "agency_id": "<string>",
    "agency_website": "<string>"
  },
  "contact": {
    "primary_phone": "<string>",
    "primary_email": "jsmith@example.com"
  },
  "connections": {
    "ridb_facility_id": "<string>",
    "usfs_site_id": "<string>",
    "v1_campground_ids": [
      "<string>"
    ]
  },
  "metadata": {
    "has_availability_alerts": true,
    "has_availability_data": true,
    "has_campsite_level_data": true,
    "last_updated": "2023-11-07T05:31:56Z"
  }
}
{
  "error": {
    "message": "<string>",
    "kind": "<string>"
  }
}
Details for the campground field descriptions can be found in the data documentation here.
GET /campground/:id

Path Parameters

id
string
required

Unique identifier of the campground

Response

Campground response

id
string
required

Unique identifier for the campground

name
string
required

Name of the campground

status
enum<string>

Current operating status of the campground

Available options:
open,
closed
status_description
string

Detailed description of the current status

kind
enum<string>

Type of campground

Available options:
established,
dispersed
short_description
string

Brief 1-2 sentence description suitable for a meta description

medium_description
string

Small paragraph introduction to the campground

long_description
string

Detailed 3-4 paragraph description of the campground

location
object
default_campsite_schedule
object

Default check-in and check-out schedule for the campground, used as a fallback when campsite-specific schedules are unavailable or when uniform is true. For precise times, check Campsite.schedule if uniform is false.

amenities
object
max_rv_length
number

Maximum RV length in feet

max_trailer_length
number

Maximum trailer length in feet

has_pull_through_sites
boolean

Whether pull-through sites are available

big_rig_friendly
boolean

Whether the campground can accommodate large RVs

reservation_url
string<uri>

URL for making reservations

photos
object[]
alerts
object[]
deprecated

Gets relevant notices/alerts for the campground. Please use the /campground/{id}/notices endpoint instead. This field will continue to be populated.

price
object
cell_service
object
management
object
contact
object
connections
object
metadata
object